Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.F	(revision 5082)
@@ -29,5 +29,5 @@
         nb_neg = 0
         DO i = 1,klon
-          IF (q(i,l)+d_q(i,l).LT.qmin) THEN 
+          IF (q(i,l)+d_q(i,l)<qmin) THEN
           nb_neg = nb_neg + 1
           d_q(i,l-1) = d_q(i,l-1) + (q(i,l)+d_q(i,l)-qmin)
@@ -44,5 +44,5 @@
         nb_neg = 0
         DO i = 1,klon
-          IF (q(i,l)+d_q(i,l).LT.qmin) THEN
+          IF (q(i,l)+d_q(i,l)<qmin) THEN
           nb_neg = nb_neg + 1
           d_q(i,l+1) = d_q(i,l+1) + (q(i,l)+d_q(i,l)-qmin)
@@ -58,5 +58,5 @@
       l = klev
       DO i = 1,klon
-        IF (q(i,l)+d_q(i,l).LT.qmin) THEN 
+        IF (q(i,l)+d_q(i,l)<qmin) THEN
           d_q(i,l) = qmin - q(i,l)
         ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/trconvect.F	(revision 5082)
@@ -70,5 +70,5 @@
       DO k = 1, klev
       DO i = 1, klon
-        IF (d_tr(i,k,it).LT.0.) THEN
+        IF (d_tr(i,k,it)<0.) THEN
           tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr(i,k,it)
         ELSE
@@ -88,5 +88,5 @@
       DO k = 1, klev
       DO i = 1, klon
-        IF (d_tr(i,k,it).GE.0.) THEN
+        IF (d_tr(i,k,it)>=0.) THEN
         dtrconv(i,it)=dtrconv(i,it)+(1.-xconv(it))*d_tr(i,k,it)
      .                /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5082)
@@ -52,5 +52,5 @@
 
 ! dynamic viscosity of air (Pruppacher and Klett, 1978) [kg/(m*s)]
-WHERE (t_seri.GE.273.15)
+WHERE (t_seri>=273.15)
   zvis=(1.718 + 0.0049*(t_seri-273.15))*1.E-5
   ELSEWHERE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5082)
@@ -96,12 +96,12 @@
   ENDDO
 
-  WHERE (tau_aero_sw_rrtm .LT. 1.e-14) piz_aero_sw_rrtm=1.0
-  WHERE (tau_aero_sw_rrtm .LT. 1.e-14) tau_aero_sw_rrtm=1.e-15
-  WHERE (tau_aero_lw_rrtm .LT. 1.e-14) tau_aero_lw_rrtm=1.e-15
+  WHERE (tau_aero_sw_rrtm < 1.e-14) piz_aero_sw_rrtm=1.0
+  WHERE (tau_aero_sw_rrtm < 1.e-14) tau_aero_sw_rrtm=1.e-15
+  WHERE (tau_aero_lw_rrtm < 1.e-14) tau_aero_lw_rrtm=1.e-15
 
   tausum_strat(:,:)=0.0
   DO i=1,klon
   DO k=1,klev
-    IF (stratomask(i,k).GT.0.5) THEN
+    IF (stratomask(i,k)>0.5) THEN
       tausum_strat(i,1)=tausum_strat(i,1)+tau_strat_wave(i,k,2)  !--550 nm
       tausum_strat(i,2)=tausum_strat(i,2)+tau_strat_wave(i,k,5)  !--1020 nm
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5082)
@@ -106,15 +106,15 @@
   DO j=1, nbtr_bin
   DO i=1, nbtr_bin
-    IF (k.EQ.1) THEN
+    IF (k==1) THEN
       ff(i,j,k)= 0.0
-    ELSEIF (k.GT.1.AND.Vdry(k-1).LT.Vij(i,j).AND.Vij(i,j).LT.Vdry(k)) THEN
+    ELSEIF (k>1.AND.Vdry(k-1)<Vij(i,j).AND.Vij(i,j)<Vdry(k)) THEN
       ff(i,j,k)= 1.-ff(i,j,k-1)
-    ELSEIF (k.EQ.nbtr_bin) THEN
-      IF (Vij(i,j).GE.Vdry(k)) THEN
+    ELSEIF (k==nbtr_bin) THEN
+      IF (Vij(i,j)>=Vdry(k)) THEN
         ff(i,j,k)= 1.
       ELSE
         ff(i,j,k)= 0.0
       ENDIF
-    ELSEIF (k.LE.(nbtr_bin-1).AND.Vdry(k).LE.Vij(i,j).AND.Vij(i,j).LT.Vdry(k+1)) THEN
+    ELSEIF (k<=(nbtr_bin-1).AND.Vdry(k)<=Vij(i,j).AND.Vij(i,j)<Vdry(k+1)) THEN
       ff(i,j,k)= Vdry(k)/Vij(i,j)*(Vdry(k+1)-Vij(i,j))/(Vdry(k+1)-Vdry(k))
     ENDIF
@@ -159,5 +159,5 @@
 
   ! dynamic viscosity of air (Pruppacher and Klett, 2010, p.417) [kg/(m*s)]
-  IF (t_seri(ilon,ilev).GE.273.15) THEN
+  IF (t_seri(ilon,ilev)>=273.15) THEN
     eta=(1.718+0.0049*(t_seri(ilon,ilev)-273.15))*1.E-5
   ELSE
@@ -212,11 +212,11 @@
 !
 !--compute enhancement factor due to van der Waals forces
-   IF (ok_vdw .EQ. 0) THEN      !--no enhancement factor
+   IF (ok_vdw == 0) THEN      !--no enhancement factor
       Evdw=1.0
-   ELSEIF (ok_vdw .EQ. 1) THEN  !--E(0) case
+   ELSEIF (ok_vdw == 1) THEN  !--E(0) case
       AvdWi = AvdW/(RKBOL*t_seri(ilon,ilev))*(4.*radiuswet(i)*radiuswet(j))/(radiuswet(i)+radiuswet(j))**2.
       xvdW = LOG(1.+AvdWi)
       EvdW = 1. + avdW1*xvdW + avdW3*xvdW**3
-   ELSEIF (ok_vdw .EQ. 2) THEN  !--E(infinity) case
+   ELSEIF (ok_vdw == 2) THEN  !--E(infinity) case
       AvdWi = AvdW/(RKBOL*t_seri(ilon,ilev))*(4.*radiuswet(i)*radiuswet(j))/(radiuswet(i)+radiuswet(j))**2.
       xvdW = LOG(1.+AvdWi)
@@ -239,5 +239,5 @@
   ENDDO
 
-  IF (k.EQ.1) THEN
+  IF (k==1) THEN
 !--calculate new concentration of smallest bin
     tr_tp1(ilon,ilev,k)=tr_t(ilon,ilev,k)/(1.+pdtcoag*denom)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5082)
@@ -112,5 +112,5 @@
  IF (.NOT.ALLOCATED(SO2_clim)) ALLOCATE(SO2_clim(klon,klev))
 
-  IF (debutphy.OR.mth_cur.NE.mth_pre) THEN
+  IF (debutphy.OR.mth_cur/=mth_pre) THEN
 
 !--preparation of global fields
@@ -233,12 +233,12 @@
       DO kk=1, n_lev
 !--added tests on VMR of species for realism
-        IF (OCS_clim_tmp(i,kk).LT.1.e-20) THEN
+        IF (OCS_clim_tmp(i,kk)<1.e-20) THEN
           OCS_clim_tmp(i,kk)=1.0e-20
         ENDIF
-        IF (SO2_clim_tmp(i,kk).LT.1.e-20) THEN
+        IF (SO2_clim_tmp(i,kk)<1.e-20) THEN
           SO2_clim_tmp(i,kk)=1.0e-20
         ENDIF
         !       50 ppbv min for O3
-        IF (O3_clim_tmp(i,kk).LT.50.0e-9) THEN
+        IF (O3_clim_tmp(i,kk)<50.0e-9) THEN
            O3_clim_tmp(i,kk)=50.0e-9
         ENDIF
@@ -325,5 +325,5 @@
 !--set to background value everywhere in the very beginning, later only in the troposphere
 !--a little dangerous as the MAXVAL is not computed on the global field
-  IF (debutphy.AND.MAXVAL(tr_seri).LT.1.e-30) THEN
+  IF (debutphy.AND.MAXVAL(tr_seri)<1.e-30) THEN
     p_bound=0.0
   ELSE
@@ -336,5 +336,5 @@
       !
       !--OCS and SO2 prescribed back to their clim values below p_bound
-      IF (paprs(i,k).GT.p_bound) THEN
+      IF (paprs(i,k)>p_bound) THEN
         budg_3D_backgr_ocs(i,k)=OCS_clim(i,k)-tr_seri(i,k,id_OCS_strat)
         budg_3D_backgr_so2(i,k)=SO2_clim(i,k)-tr_seri(i,k,id_SO2_strat)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5082)
@@ -82,5 +82,5 @@
     DO WHILE (PDT>0.0)
       count_tstep=count_tstep+1
-      IF (count_tstep .GT. nbtstep)  EXIT
+      IF (count_tstep > nbtstep)  EXIT
       ! convert tr_seri(GASH2SO4) (in kg/kgA) to H2SO4 number density (in molecules/cm3) 
       rhoa=tr_seri(ilon,ilev,id_H2SO4_strat) &
@@ -91,6 +91,6 @@
       !NL - add nucleation box (if flag on)
       IF (flag_nuc_rate_box) THEN
-         IF (latitude_deg(ilon).LE.nuclat_min .OR. latitude_deg(ilon).GE.nuclat_max &
-              .OR. pplay(ilon,ilev).GE.nucpres_max .AND. pplay(ilon,ilev).LE.nucpres_min) THEN
+         IF (latitude_deg(ilon)<=nuclat_min .OR. latitude_deg(ilon)>=nuclat_max &
+              .OR. pplay(ilon,ilev)>=nucpres_max .AND. pplay(ilon,ilev)<=nucpres_min) THEN
             nucl_rate=0.0
          ENDIF
@@ -122,5 +122,5 @@
       ! determine appropriate time step
       dt=(H2SO4_init-H2SO4_sat)/float(nbtstep)/MAX(1.e-30, nucl_rate+cond_evap_rate) !cond_evap_rate pos. for cond. and neg. for evap.
-      IF (dt.LT.0.0) THEN
+      IF (dt<0.0) THEN
         dt=PDT
       ENDIF
@@ -178,9 +178,9 @@
   ENDDO
 
-  IF (MINVAL(tr_seri).LT.0.0) THEN
+  IF (MINVAL(tr_seri)<0.0) THEN
     DO ilon=1, klon
     DO ilev=1, klev    
     DO it=1, nbtr
-      IF (tr_seri(ilon,ilev,it).LT.0.0) THEN
+      IF (tr_seri(ilon,ilev,it)<0.0) THEN
          WRITE(lunout,*) 'micphy_tstep: negative concentration', tr_seri(ilon,ilev,it), ilon, ilev, it
       ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5082)
@@ -275,9 +275,9 @@
         ilambda_min=ref_ind(nb_lambda_h2so4,2)/1.e6 !--in m
         DO Nwv=1, NwvmaxSW+nwave_sw+nwave_lw+NwvmaxLW
-          IF (lambda_int(Nwv).GT.ilambda_max) THEN
+          IF (lambda_int(Nwv)>ilambda_max) THEN
             !for lambda out of data range, take boundary values
             n_r(Nwv)=ref_ind(1,3)
             n_i(Nwv)=ref_ind(1,4)
-          ELSEIF (lambda_int(Nwv).LE.ilambda_min) THEN
+          ELSEIF (lambda_int(Nwv)<=ilambda_min) THEN
             n_r(Nwv)=ref_ind(nb_lambda_h2so4,3)
             n_i(Nwv)=ref_ind(nb_lambda_h2so4,4)
@@ -290,6 +290,6 @@
               n_i_h2so4=ref_ind(nb,4)
               n_i_h2so4_prev=ref_ind(nb-1,4)
-              IF (lambda_int(Nwv).GT.ilambda.AND. &
-                lambda_int(Nwv).LE.ilambda_prev) THEN !--- linear interpolation
+              IF (lambda_int(Nwv)>ilambda.AND. &
+                lambda_int(Nwv)<=ilambda_prev) THEN !--- linear interpolation
                 n_r(Nwv)=n_r_h2so4+(lambda_int(Nwv)-ilambda)/ &
                      (ilambda_prev-ilambda)*(n_r_h2so4_prev-n_r_h2so4)
@@ -307,5 +307,5 @@
           n_i(Nwv)=ref_ind(1,4)
           DO nb=2,nb_lambda_h2so4
-            IF (ref_ind(nb,2)/1.e6.GT.lambda_int(Nwv)) THEN !--- step function
+            IF (ref_ind(nb,2)/1.e6>lambda_int(Nwv)) THEN !--- step function
               n_r(Nwv)=ref_ind(nb,3)
               n_i(Nwv)=ref_ind(nb,4)
@@ -342,5 +342,5 @@
 !we impose a minimum value for x and extrapolate quantities for small x values
       smallx = .FALSE.
-      IF (x.LT.0.001) THEN
+      IF (x<0.001) THEN
         smallx = .TRUE.
         x_old = x
@@ -359,9 +359,9 @@
       z1=m*z2
 
-      IF (0.0.LE.x.AND.x.LE.8.) THEN
+      IF (0.0<=x.AND.x<=8.) THEN
         Nmax=INT(x+4*x**(1./3.)+1.)+2
-      ELSEIF (8..LT.x.AND.x.LT.4200.) THEN
+      ELSEIF (8.<x.AND.x<4200.) THEN
         Nmax=INT(x+4.05*x**(1./3.)+2.)+1
-      ELSEIF (4200..LE.x.AND.x.LE.20000.) THEN
+      ELSEIF (4200.<=x.AND.x<=20000.) THEN
         Nmax=INT(x+4*x**(1./3.)+2.)+1
       ELSE
@@ -435,5 +435,5 @@
       Q_abs=Q_ext-Q_sca
 
-      IF (AIMAG(m).EQ.0.0) Q_abs=0.0
+      IF (AIMAG(m)==0.0) Q_abs=0.0
       omega=Q_sca/Q_ext
 
@@ -488,11 +488,11 @@
       DO Nwv=1,NwvmaxSW
 
-        IF (lambda_int(Nwv).LE.wv_rrtm_SW(3)) THEN      !--RRTM spectral interval 2
+        IF (lambda_int(Nwv)<=wv_rrtm_SW(3)) THEN      !--RRTM spectral interval 2
           bandSW=2
-        ELSEIF (lambda_int(Nwv).LE.wv_rrtm_SW(4)) THEN  !--RRTM spectral interval 3
+        ELSEIF (lambda_int(Nwv)<=wv_rrtm_SW(4)) THEN  !--RRTM spectral interval 3
           bandSW=3
-        ELSEIF (lambda_int(Nwv).LE.wv_rrtm_SW(5)) THEN  !--RRTM spectral interval 4
+        ELSEIF (lambda_int(Nwv)<=wv_rrtm_SW(5)) THEN  !--RRTM spectral interval 4
           bandSW=4
-        ELSEIF (lambda_int(Nwv).LE.wv_rrtm_SW(6)) THEN  !--RRTM spectral interval 5
+        ELSEIF (lambda_int(Nwv)<=wv_rrtm_SW(6)) THEN  !--RRTM spectral interval 5
           bandSW=5
         ELSE                                            !--RRTM spectral interval 6
@@ -515,5 +515,5 @@
         bandLW=1  !--default value starting from the highest lambda
         DO band=2, nbands_lw_rrtm
-          IF (ll.LT.wv_rrtm(band)) THEN   !--as long as
+          IF (ll<wv_rrtm(band)) THEN   !--as long as
             bandLW=band
           ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5082)
@@ -102,18 +102,18 @@
   DO k=1, nbtr_bin 
   ! CK 20160531: bug fix for first bin
-    IF (k.LE.nbtr_bin-1) THEN 
-      IF (Vbin(k).LE.Vnew.AND.Vnew.LT.Vbin(k+1)) THEN
+    IF (k<=nbtr_bin-1) THEN
+      IF (Vbin(k)<=Vnew.AND.Vnew<Vbin(k+1)) THEN
         ff(k)= Vbin(k)/Vnew*(Vbin(k+1)-Vnew)/(Vbin(k+1)-Vbin(k))
       ENDIF
     ENDIF
-    IF (k.EQ.1.AND.Vnew.LE.Vbin(k)) THEN
+    IF (k==1.AND.Vnew<=Vbin(k)) THEN
       ff(k)= 1.
     ENDIF
-    IF (k.GT.1) THEN 
-      IF (Vbin(k-1).LT.Vnew.AND.Vnew.LT.Vbin(k)) THEN
+    IF (k>1) THEN
+      IF (Vbin(k-1)<Vnew.AND.Vnew<Vbin(k)) THEN
         ff(k)= 1.-ff(k-1)
       ENDIF
     ENDIF
-    IF (k.EQ.nbtr_bin.AND.Vnew.GE.Vbin(k)) THEN
+    IF (k==nbtr_bin.AND.Vnew>=Vbin(k)) THEN
       ff(k)= 1.
     ENDIF
@@ -416,11 +416,11 @@
 
   !Temperature bounds
-  IF (t.LE.165.) THEN
+  IF (t<=165.) THEN
      tln=165.0
   ENDIF
-  IF (t.LE.195.) THEN
+  IF (t<=195.) THEN
      tli=195.0
   ENDIF
-  IF (t.GE.400.) THEN
+  IF (t>=400.) THEN
      tln=400.
      tli=400.
@@ -428,26 +428,26 @@
   
   ! Saturation ratio bounds
-  IF (satrat.LT.1.E-7) THEN
+  IF (satrat<1.E-7) THEN
      satratli=1.E-7
   ENDIF
-  IF (satrat.LT.1.E-5) THEN
+  IF (satrat<1.E-5) THEN
      satratln=1.E-5
   ENDIF
-  IF (satrat.GT.0.95) THEN
+  IF (satrat>0.95) THEN
      satratli=0.95
   ENDIF
-  IF (satrat.GT.1.0) THEN
+  IF (satrat>1.0) THEN
      satratln=1.0
   ENDIF
   
   ! Sulfuric acid concentration bounds
-  IF (rhoa.LE.1.E4) THEN
+  IF (rhoa<=1.E4) THEN
      rhoaln=1.E4
      rhoali=1.E4
   ENDIF
-  IF (rhoa.GT.1.E13) THEN
+  IF (rhoa>1.E13) THEN
      rhoaln=1.E13
   ENDIF
-  IF (rhoa.GT.1.E16) THEN
+  IF (rhoa>1.E16) THEN
      rhoali=1.E16
   ENDIF
@@ -473,5 +473,5 @@
   
   !Kinetic limit check
-  IF (satratln .GE. 1.E-2 .AND. satratln .LE. 1.) THEN
+  IF (satratln >= 1.E-2 .AND. satratln <= 1.) THEN
      kinrhotresn=EXP(7.8920778706888086E+1 + 7.3665492897447082*satratln - 1.2420166571163805E+4/tln &
           & + (-6.1831234251470971E+2*satratln)/tln - 2.4501159970109945E-2*tln                      &
@@ -479,8 +479,8 @@
           & -1.4673887785408892*LOG(satratln) + (-3.2141890006517094E+1*LOG(satratln))/tln           &
           & + 2.7137429081917556E-3*tln*LOG(satratln)) !1/cm3     
-     IF (kinrhotresn.LT.rhoaln) kinetic_n=.TRUE.
-  ENDIF
-
-  IF (satratln .GE. 1.E-4  .AND. satratln .LT. 1.E-2) THEN     
+     IF (kinrhotresn<rhoaln) kinetic_n=.TRUE.
+  ENDIF
+
+  IF (satratln >= 1.E-4  .AND. satratln < 1.E-2) THEN
      kinrhotresn=EXP(7.9074383049843647E+1 - 2.8746005462158347E+1*satratln - 1.2070272068458380E+4/tln &
           & + (-5.9205040320056632E+3*satratln)/tln - 2.4800372593452726E-2*tln                         &
@@ -488,8 +488,8 @@
           & -2.3141363245211317*LOG(satratln) + (9.9186787997857735E+1*LOG(satratln))/tln               &
           & + 5.6819382556144681E-3*tln*LOG(satratln)) !1/cm3
-     IF (kinrhotresn.LT.rhoaln) kinetic_n=.TRUE.
-  ENDIF
-
-  IF (satratln .GE. 5.E-6  .AND. satratln .LT. 1.E-4) THEN
+     IF (kinrhotresn<rhoaln) kinetic_n=.TRUE.
+  ENDIF
+
+  IF (satratln >= 5.E-6  .AND. satratln < 1.E-4) THEN
      kinrhotresn=EXP(8.5599712000361677E+1 + 2.7335119660796581E+3*satratln - 1.1842350246291651E+4/tln &
           & + (-1.2439843468881438E+6*satratln)/tln - 5.4536964974944230E-2*tln                         &
@@ -497,5 +497,5 @@
           & -2.4472627526306372*LOG(satratln) + (1.7561478001423779E+2*LOG(satratln))/tln               &
           & + 6.2640132818141811E-3*tln*LOG(satratln)) !1/cm3
-     IF (kinrhotresn.LT.rhoaln) kinetic_n=.TRUE. 
+     IF (kinrhotresn<rhoaln) kinetic_n=.TRUE.
   ENDIF
   
@@ -584,5 +584,5 @@
      
      na_n=x_n*ntot_n
-     IF (na_n .LT. 1.) THEN
+     IF (na_n < 1.) THEN
         na_n=1.0
      ENDIF
@@ -590,5 +590,5 @@
   
   ! Set the neutral nucleation rate to 0.0 if less than 1.0E-7      
-  IF (jnuc_n.LT.1.E-7) THEN
+  IF (jnuc_n<1.E-7) THEN
      jnuc_n=0.0
   ENDIF
@@ -598,5 +598,5 @@
   ! Ion-induced nucleation parameterization 
  
-  IF (ipr.GT.0.0) THEN ! if the ion production rate is above zero
+  IF (ipr>0.0) THEN ! if the ion production rate is above zero
      
      ! Calculate the ion induced nucleation rate wrt. concentration of 1 ion/cm3
@@ -617,5 +617,5 @@
      kinrhotresi=EXP(kinrhotresi) !1/cm3
      
-     IF (kinrhotresi.LT.rhoali) kinetic_i=.true.
+     IF (kinrhotresi<rhoali) kinetic_i=.true.
      
      IF (kinetic_i) THEN    
@@ -770,5 +770,5 @@
                     
         na_i=x_i*ntot_i
-        IF (na_i .LT. 1.) THEN
+        IF (na_i < 1.) THEN
            na_n=1.0
         ENDIF
@@ -790,5 +790,5 @@
      jnuc_i=MIN(ipr,n_i*jnuc_i1)
      ! Set the ion-induced nucleation rate to 0.0 if less than 1.0E-7      
-     IF (jnuc_i.LT.1.E-7) THEN
+     IF (jnuc_i<1.E-7) THEN
         jnuc_i=0.0
      ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5082)
@@ -34,9 +34,9 @@
         !only in the stratosphere
         IF (is_strato(ilon,ilev)) THEN
-          IF (OCS_lifetime(ilon,ilev).GT.0.0.AND.OCS_lifetime(ilon,ilev).LT.1.E10) THEN
+          IF (OCS_lifetime(ilon,ilev)>0.0.AND.OCS_lifetime(ilon,ilev)<1.E10) THEN
             rreduce = OCS_lifetime(ilon,ilev)
             ! Check lifetime rreduce < timestep*3 (such as H2SO4 loss > 0.28*H2SO4) with exp(-1/3)=0.72
             IF(flag_min_rreduce) THEN
-               IF (rreduce .LT. (3.*pdtphys)) rreduce = 3.*pdtphys
+               IF (rreduce < (3.*pdtphys)) rreduce = 3.*pdtphys
             ENDIF
             budg_3D_ocs_to_so2(ilon,ilev)=tr_seri(ilon,ilev,id_OCS_strat)*(1.0-exp(-pdtphys/rreduce))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5082)
@@ -37,5 +37,5 @@
      !only in the stratosphere
         IF (is_strato(ilon,ilev)) THEN
-           IF (SO2_lifetime(ilon,ilev).GT.0.0 .AND. SO2_lifetime(ilon,ilev).LT.1.E10) THEN
+           IF (SO2_lifetime(ilon,ilev)>0.0 .AND. SO2_lifetime(ilon,ilev)<1.E10) THEN
               IF (flag_OH_reduced) THEN
                  !--convert SO2 to H2SO4 (slimane)
@@ -83,5 +83,5 @@
                       & *pplay(ilon,ilev)/t_seri(ilon,ilev)/RD/1.E6/mSO2mol
                  
-                 IF (rrak1 .GE. 0.0) THEN
+                 IF (rrak1 >= 0.0) THEN
                     rreduce =( (rkho2o3+rkoho3)*rrak0 + rkso2oh*rrak1 ) / &
                          (  (rkho2o3+rkoho3)*rrak0 )
@@ -100,5 +100,5 @@
               ! Check lifetime rreduce < timestep*3 (such as SO2 loss > 0.28*SO2) with exp(-1/3)=0.72
               IF(flag_min_rreduce) THEN
-                 IF (rreduce .LT. (3.*pdtphys)) rreduce = 3.*pdtphys
+                 IF (rreduce < (3.*pdtphys)) rreduce = 3.*pdtphys
               ENDIF
               budg_3D_so2_to_h2so4(ilon,ilev)=tr_seri(ilon,ilev,id_SO2_strat)*(1.0-exp(-pdtphys/rreduce))
@@ -122,5 +122,5 @@
               ! test: quick sequential integration for SO2 to H2SO4 and reverse
               
-              IF (H2SO4_lifetime(ilon,ilev).GT.0.0 .AND. H2SO4_lifetime(ilon,ilev).LT.1.E10) THEN
+              IF (H2SO4_lifetime(ilon,ilev)>0.0 .AND. H2SO4_lifetime(ilon,ilev)<1.E10) THEN
                  
                  rreduce = H2SO4_lifetime(ilon,ilev)
@@ -130,5 +130,5 @@
                  ! Check lifetime rreduce < timestep*3 (such as H2SO4 loss > 0.28*H2SO4) with exp(-1/3)=0.72
                  IF(flag_min_rreduce) THEN
-                    IF (rreduce .LT. (3.*pdtphys)) rreduce = 3.*pdtphys
+                    IF (rreduce < (3.*pdtphys)) rreduce = 3.*pdtphys
                  ENDIF
                  dummyso4toso2 = (mSO2mol/mH2SO4mol)*tr_seri(ilon,ilev,id_H2SO4_strat)*(1.0-exp(-pdtphys/rreduce))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5082)
@@ -16,5 +16,5 @@
     WRITE(lunout,*) 'IN STRATAER_EMISS INIT WELCOME!'
 
-    IF (flag_emit.EQ.1 .OR. flag_emit.EQ.4) THEN ! Volcano
+    IF (flag_emit==1 .OR. flag_emit==4) THEN ! Volcano
        CALL getin_p('nErupt',nErupt) !eruption nb
        CALL getin_p('injdur',injdur) !injection duration
@@ -26,5 +26,5 @@
        ENDIF
 
-       IF (nErupt.GT.0) THEN
+       IF (nErupt>0) THEN
           ALLOCATE(year_emit_vol(nErupt),mth_emit_vol(nErupt),day_emit_vol(nErupt))
           year_emit_vol=0 ; mth_emit_vol=0 ; day_emit_vol=0
@@ -242,6 +242,6 @@
           DO j=1,nbp_lat
              lat_reg_deg = lat_reg(j)*180./RPI
-             IF  ( lat_reg_deg.GE.xlat_min_vol(ieru)-dlat .AND. lat_reg_deg.LT.xlat_max_vol(ieru)+dlat .AND. &
-                  lon_reg_deg.GE.xlon_min_vol(ieru)-dlon .AND. lon_reg_deg.LT.xlon_max_vol(ieru)+dlon ) THEN
+             IF  ( lat_reg_deg>=xlat_min_vol(ieru)-dlat .AND. lat_reg_deg<xlat_max_vol(ieru)+dlat .AND. &
+                  lon_reg_deg>=xlon_min_vol(ieru)-dlon .AND. lon_reg_deg<xlon_max_vol(ieru)+dlon ) THEN
                 ponde_lonlat_vol(ieru) = ponde_lonlat_vol(ieru) + 1
              ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5082)
@@ -251,5 +251,5 @@
     !--initialising dry diameters to geometrically spaced mass/volume (see Jacobson 1994)
     mdw(1)=mdwmin
-    IF (V_rat.LT.1.62) THEN ! compensate for dip in second bin for lower volume ratio
+    IF (V_rat<1.62) THEN ! compensate for dip in second bin for lower volume ratio
        mdw(2)=mdw(1)*2.**(1./3.)
        DO it=3, nbtr_bin
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5082)
@@ -74,8 +74,8 @@
        theta_max = min(xlat(i)+dlat_loc,latmax)
                 
-       IF (  xlat(i).GE.latmin-dlat_loc .AND. &
-         &   xlat(i).LT.latmax+dlat_loc .AND. &
-         &   xlon(i).GE.lonmin-dlon .AND. &
-         &   xlon(i).LT.lonmax+dlon ) THEN
+       IF (  xlat(i)>=latmin-dlat_loc .AND. &
+         &   xlat(i)<latmax+dlat_loc .AND. &
+         &   xlon(i)>=lonmin-dlon .AND. &
+         &   xlon(i)<lonmax+dlon ) THEN
                    !
           WRITE(*,*) 'coordinates of volcanic injection point=',&
@@ -95,5 +95,5 @@
           CALL STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
           
-          IF (flag_emit.EQ.3) then
+          IF (flag_emit==3) then
              theta=(sin(theta_max/180.*RPI)-sin(theta_min/180.*RPI))/ &
                & (sin(xlat_max_sai/180.*RPI)-sin(xlat_min_sai/180.*RPI))
@@ -122,5 +122,5 @@
              IF(emission < 1.E-34) emission = 0.0
              
-             IF (flh2o.EQ.0) THEN
+             IF (flh2o==0) THEN
                 IF(flag_verbose_strataer) WRITE(*,*) 'IN STRATEMIT: tr_ser avant/apres',&
                   &  'i= ',i,'k= ',k, 'flh2o= ',flh2o, &
@@ -129,8 +129,8 @@
               
                 tr_seri(i,k,id_spec)=tr_seri(i,k,id_spec)+emission*pdtphys
-                IF (id_species_total.NE.0) THEN
+                IF (id_species_total/=0) THEN
                    tr_seri(i,k,id_species_total)=tr_seri(i,k,id_species_total)+emission*pdtphys
                 ENDIF
-             ELSE IF(flh2o.EQ.1) THEN
+             ELSE IF(flh2o==1) THEN
                 d_q_emiss(i,k)=emission*pdtphys
                 IF(d_q_emiss(i,k) > 1.E34) THEN
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5082)
@@ -93,5 +93,5 @@
 !      ***   H2SO4-H2O curved surface - Kelvin effect factor ***
 !            wet radius (m) (RRSI(IK) in [cm])
-             if (f_r_wetB(ilon,ilev,IK) .gt. 1.0) then 
+             if (f_r_wetB(ilon,ilev,IK) > 1.0) then
                radwet = 1.e-2*RRSI(IK)*f_r_wetB(ilon,ilev,IK)
              else 
@@ -197,5 +197,5 @@
     H2O(:,:)=sh(:,:)*mAIRmol/mH2Omol
 
-    IF(INSTEP.EQ.0) THEN
+    IF(INSTEP==0) THEN
     
        INSTEP=1
@@ -508,6 +508,6 @@
        DO I=1,16
        DO J=1,28
-         IF (F(I,J).LT.9.0)  F(I,J)=30.0
-         IF (F(I,J).GT.99.99) F(I,J)=99.99
+         IF (F(I,J)<9.0)  F(I,J)=30.0
+         IF (F(I,J)>99.99) F(I,J)=99.99
        ENDDO
        ENDDO
@@ -518,15 +518,15 @@
     DO J=1,klev
         TP=t_seri(I,J)
-        IF (TP.LT.175.1) TP=175.1
+        IF (TP<175.1) TP=175.1
 !    Partial pressure of H2O (mb)
         PH2O =PMB(I,J)*H2O(I,J)
-        IF (PH2O.LT.XC1) THEN 
+        IF (PH2O<XC1) THEN
           R2SO4(I,J)=99.99
 !          PH2O=XC(1)+1.0E-10
         ELSE 
-          IF (PH2O.GT.XC16) PH2O=XC16 
+          IF (PH2O>XC16) PH2O=XC16
 !         SIMPLE LINEAR INTERPOLATIONS
           CALL FIND(PH2O,TP,XC,YC,F,VAL,N,M)
-          IF (PMB(I,J).GE.10.0.AND.VAL.LT.60.0) VAL=60.0
+          IF (PMB(I,J)>=10.0.AND.VAL<60.0) VAL=60.0
           R2SO4(I,J)=VAL
         ENDIF
@@ -601,7 +601,7 @@
         CALL POSACT(XT,XC,NN,JX)
         JX1=JX+1
-        IF(JX.EQ.0) THEN
+        IF(JX==0) THEN
           ACTSO4(I,J)=0.0 
-        ELSE IF(JX.GE.NN) THEN
+        ELSE IF(JX>=NN) THEN
           ACTSO4(I,J)=15811.0 
         ELSE 
@@ -684,10 +684,10 @@
     CALL POSITION(YC,Y,M,JY,IERY)
 
-    IF(JX.EQ.0.OR.IERY.EQ.1) THEN
+    IF(JX==0.OR.IERY==1) THEN
        VAL=99.99
        RETURN
     ENDIF
 
-    IF(JY.EQ.0.OR.IERX.EQ.1) THEN
+    IF(JY==0.OR.IERX==1) THEN
        VAL=9.0
        RETURN
@@ -714,6 +714,6 @@
     VAL=(1.-T)*(1.-U)*SXY + T*(1.0-U)*SX1Y + T*U*SX1Y1 + (1.0-T)*U*SXY1
 
-    IF(VAL.LT.9.0) VAL=9.0
-    IF(VAL.GT.99.99) VAL=99.99
+    IF(VAL<9.0) VAL=9.0
+    IF(VAL>99.99) VAL=99.99
    
     RETURN
@@ -728,9 +728,9 @@
 
        IER=0
-       IF(X.LT.XC(1)) THEN
+       IF(X<XC(1)) THEN
          JX=0
        ELSE
          DO 10 I=1,N
-           IF (X.LT.XC(I)) GO TO 20
+           IF (X<XC(I)) GO TO 20
  10      CONTINUE
          IER=1
@@ -753,9 +753,9 @@
        INTEGER JX,I
   
-       IF(XT.GT.X(1)) THEN
+       IF(XT>X(1)) THEN
          JX=0
        ELSE
          DO 10 I=1,N
-           IF (XT.GT.X(I)) GO TO 20
+           IF (XT>X(I)) GO TO 20
  10      CONTINUE
  20      JX=I
@@ -814,5 +814,5 @@
       real, intent(in) :: T
 
-      if(T.gt.229.) then
+      if(T>229.) then
 !        Preining et al., 1981 (from Kulmala et al., 1998)
 !        saturation vapor pressure (N/m2 = 1 Pa = 1 kg/(m·s2))
@@ -955,10 +955,10 @@
 !       composition
 !       calculation of h2so4 molality
-            if(aw .le. 0.05 .and. aw .gt. 0.) then
+            if(aw <= 0.05 .and. aw > 0.) then
                y1=12.372089320*aw**(-0.16125516114) &
                  &  -30.490657554*aw -2.1133114241
                y2=13.455394705*aw**(-0.19213122550) &
                  &  -34.285174607*aw -1.7620073078
-            else if(aw .le. 0.85 .and. aw .gt. 0.05) then
+            else if(aw <= 0.85 .and. aw > 0.05) then
                y1=11.820654354*aw**(-0.20786404244) &
                  &  -4.8073063730*aw -5.1727540348
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5082)
@@ -96,8 +96,8 @@
 !--set boundaries of size bins
     DO it=1, nbtr_bin
-    IF (it.EQ.1) THEN
+    IF (it==1) THEN
       r_upper(it)=sqrt(r_bin(it+1)*r_bin(it))
       r_lower(it)=r_bin(it)**2./r_upper(it)
-    ELSEIF (it.EQ.nbtr_bin) THEN
+    ELSEIF (it==nbtr_bin) THEN
       r_lower(it)=sqrt(r_bin(it)*r_bin(it-1))
       r_upper(it)=r_bin(it)**2./r_lower(it)
@@ -116,5 +116,5 @@
 !--initialising logical is_strato from stratomask
     is_strato(:,:)=.FALSE. 
-    WHERE (stratomask.GT.0.5) is_strato=.TRUE. 
+    WHERE (stratomask>0.5) is_strato=.TRUE.
 
     IF(flag_new_strat_compo) THEN
@@ -335,5 +335,5 @@
     DO i=1,klon
       DO it=1, nbtr_bin
-        IF (mdw(it) .LT. 2.5e-6) THEN
+        IF (mdw(it) < 2.5e-6) THEN
           !surf_PM25_sulf(i)=surf_PM25_sulf(i)+tr_seri(i,1,it+nbtr_sulgas)*m_part(i,1,it) &
           !assume that particles consist of ammonium sulfate at the surface (132g/mol) 
